# -----------------------------------------------------------------
# Custom properties for DbVisualizer.
#
# There's no reason altering this file in a standard setup.
#
# NOTE: A property that is made active must not start with "#"
#       as this character indicates that the complete line is
#       a comment and should be ignored.
# -----------------------------------------------------------------

#
# Specify directories from DBVIS-HOME that should not be listed in the
# Driver Manager "System Classpath" list. Directories are separated with ":"
# Accepted values: one or several directory names starting from DBVIS-HOME.
# Default: lib:resources:.install4j
dbvis.driver.ignore.dir=lib:resources:.install4j

#
# Background: Column layout changes such as reordering and/or visibility is
# saved for all grids in the Objects Views *except* for the "Data" grid.
#
# This property can be used to also include the layout in the "Data" grid.
# Note: This will result in DbVis saving the layout for each table that
#       is displayed in the Data grid = huge XML file...
# Accepted values: true/false
# Default: false
#dbvis.savedatacolumns=false

#
# Enable this property and DbVisualizer will use an accurate but slow method
# to automatically resize grid columns. "Accurate" since it does a real
# calculation of the columns width. If leaving this property disabled then
# column widths are determined much faster but depending on what grid font
# is used some columns may be truncated with "...".
# This property has an effect only if
#   Tool Properties->Grid->Auto Resize Column Widths is enabled
# Accepted values: true/false
# Default: false
#dbvis.usestandardgridfit=false

#
# Force DbVisualizer to always get data from JDBC ResultSet's using
# ResultSet.getObject().
# Accepted values: true/false
# Default: false
#dbvis.usegetobject=false

#
# Specifies if Data editing should be completely disabled.
# Note: This has an effect only when used with a licensed edition.
# Accepted values: true/false
# Default: false
#dbvis.disabledataedit=false

#
# Specifies if object action executions should show result elements (<Result>)
# always or only if failure.
# Note: This have only effect when used with a licensed edition.
# Accepted values: true/false
# Default: false (only show failures)
#dbvis.showactionresult=false

#
# Defines the number of SQL Warning rows that should be processed before truncating
# Accepted values: A number > 0
# Default: 5000
#dbvis.sqlwarning.maxrows=5000

#
# Defines whether the result set(s) should be removed when interrupting an
# ongoing execution in the SQL Commander.
# Accepted values: true/false
# Default: false
#dbvis.removepartialresultsets=false

#
# Experimental support to specify an alternate encoding when DbVisualizer
# gets data via a ResultSet and then presents it in grids.
#dbvis.grid.encode=true
#dbvis.grid.fromEncode=ISO8859_1
#dbvis.grid.toEncode=GBK

#
# The timeout in seconds for the "Ping Connection" feature
# Accepted: seconds
# Default: 20
#dbvis.-ConnectionTestTimeout=20

#
# Backward compatibility setting used to specify that the SQL command will be
# trimmed of all whitespaces, tabs and newlines just before it is executed by the
# DB server.
# Accepted: true/false
# Default: false
#dbvis.<database>.RemoveNewLineChars=false

#
# Ignore the Max Rows setting for statements other than SELECT. MS SQL Server
# applies Max Rows also to DELETE, INSERT and UPDATE (upto and including SQL
# Server 2008).
# Accepted: true/false
# Default: true for MS SQL Server and Sybase ASE, false for all others
#dbvis.<database>.IgnoreMaxRowsForNonSELECT=true

#
# The number of seconds between auto-saving open SQL editors
# Accepted: seconds
# Default: 30
#dbvis.-AutoSaverRunInterval=30

#
# The number of seconds between checking for externally modified files
# Accepted: seconds
# Default: 30
#dbvis.-StaleFrameContentCheckInterval=30

#
# By default, a Master Password must be at least 8 characters. This is the
# definition of the default implementation:
#dbvis.-MasterPasswordRule=.{8,}
#dbvis.-MasterPasswordRuleDescr=\
#The new password must be at least 8 characters long.

#
# If you want to enforce a rule for length and character types, you can define it using
# a regular expression with these two settings. Adjust the regular expression
# to fit your policy or enter a completely new one. Here's an example:
#dbvis.-MasterPasswordRule=(?=.{9,})(?=.*?[^\\w\\s])(?=.*?[0-9])(?=.*?[A-Z]).*?[a-z].*
#dbvis.-MasterPasswordRuleDescr=\
#The new password must be at least 9 characters with at least one<br>\
#lowercase letter, one uppercase letter, one symbol and one numeric.

#
# By default, all XML settings files are synced with the underlying storage device
# at the time when these are saved. Use this property to disable the syncing and
# instead rely on OS syncs.
# Note: relying on OS syncs and performing an uncontrolled shutdown of Windows
# may corrupt files.
#dbvis.-FileForceSync=true

#
# In some Oracle setups adding a +RULE hint to the query that gets all references
# for a table may improve the performance. Uncomment the following to set
# (or alter) the the hint
#dbvis.oracle.hintforgettingreferences=/*+RULE*/

#
# Property used to set the size of the split pane divider.
# Accepted: an integer value
# Default: 8
#dbvis.splitpane.dividersize=8

#
# When importing or exporting Excel (xlsx) files DbVisualizer is protected
# against Zip bombs.
# The following sets the ratio between de- and inflated bytes to detect a Zip bomb.
# If not set it defaults to 1% (= 0.01), i.e. when the compression is better
# than 1% for any given read package part, the parsing will fail indicating a Zip bomb.
# NOTE: Explicitly setting this property will potentially leave you open for Zip bombs.
# For details see https://poi.apache.org/apidocs/org/apache/poi/openxml4j/util/ZipSecureFile.html#setMinInflateRatio-double-
# Accepted: a decimal value between 0.01 (1%) to 1.0 (100%)
# Default: 0.01
#dbvis.-ZipSecureFileMinInflateRatio=0.01

#
# Property used to set whether the Databases tab objects tree should use an optimized
# rendering engine capable to render thousands of objects instantly. The drawback setting
# it to "true" is that the horizontal scrolling position is not preserved
# when vertically scrolling back and forth. Setting it to "false" may result in a freeze
# when expanding nodes, however, the horizontal scrolling position will not change if scrolling
# vertically.
# Accepted: true/false
# Default: true
#dbvis.tree.largemodel=true

